Core - Task # 60857

Status: Resolved Priority: Should have
Author: Andreas Fernandez Category: Extension Manager
Created: 2014-08-08 Assigned To:

Updated: 2014-08-20 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Change fetch of maximum version from subselect to join

Description

Currently, the method "fetchMaximalVersionsForAllExtensions" in
typo3/sysext/extensionmanager/Classes/Domain/Repository/ExtensionRepository uses a subselect to determine the highest available
version. This solution is rather inefficient and incomptabile to DBAL.

The query has been replaced by a LEFT JOIN according to
http://dev.mysqgl.com/doc/refman/5.5/en/example-maximum-column-group-row.html.

Associated revisions

Revision b859¢823 - 2014-08-20 23:03 - Andreas Fernandez

[TASK] Change fetch of maximum version using LEFT JOIN

Currently, the method fetchMaximalVersionsForAllExtensions uses a
subselect to determine the highest available version. This solution is
rather inefficient and incomptabile to DBAL. The query is replaced by
a LEFT JOIN.

Resolves: #60857

Releases: 6.2, 6.3

Change-Id: 17ae3c523259bf260c41080aee269f6df33edb408
Reviewed-on: http:/review.typo3.0rg/32062

Reviewed-by: Stefan Froemken <froemken@gmail.com>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Revision 8749d6d1 - 2014-08-20 23:05 - Andreas Fernandez
[TASK] Change fetch of maximum version using LEFT JOIN
Currently, the method fetchMaximalVersionsForAllExtensions uses a
subselect to determine the highest available version. This solution is

rather inefficient and incomptabile to DBAL. The query is replaced by
a LEFT JOIN.
Resolves: #60857

Releases: 6.2, 6.3

Change-Id: 17ae3c523259bf260c41080aee269f6df33edb408
Reviewed-on: http://review.typo3.0rg/32288

Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Tested-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

History

#1 - 2014-08-08 14:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32062

#2 - 2014-08-08 14:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32062

#3 - 2014-08-08 14:39 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32062

#4 - 2014-08-08 14:41 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32062

#5 - 2014-08-08 15:06 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32062

#6 - 2014-08-11 08:10 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32062

#7 - 2014-08-11 15:21 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32062
#8 - 2014-08-14 08:52 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32062

#9 - 2014-08-14 09:01 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/32062

#10 - 2014-08-20 23:04 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/32288

#11 - 2014-08-20 23:30 - Andreas Fernandez
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b859¢8235094b1efd90e919405b640110914c45f.
